package main

import (
	"html/template"
	"os"
)

func main() {
	tplText := `hello golang {{ range . }} {{ .Name }} {{ .Age }} {{ end }}`
	tpl := template.Must(template.New("tpl").Parse(tplText))
	tpl.Execute(os.Stdout, []struct {
		Name string
		Age  int
	}{{
		Name: "xianbin",
		Age:  18,
	}, {
		Name: "x",
		Age:  19,
	}})
}
